package intrinsic.mx.rpc.soap;

public class LoadEvent extends intrinsic.mx.rpc.events.WSDLLoadEvent {

	/** Accessors */
	public intrinsic.flash.xml.XMLDocument document;

	/** Variables */
	public intrinsic.mx.rpc.wsdl.WSDL wsdl;
	public intrinsic.XML xml;
	public String location;

	/** Constants */
	public static final String LOAD = "load";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public LoadEvent() {
}

public LoadEvent(String arg0) {
}

public LoadEvent(String arg0, boolean arg1) {
}

public LoadEvent(String arg0, boolean arg1, boolean arg2) {
}

public LoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.wsdl.WSDL arg3) {
}

public LoadEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.wsdl.WSDL arg3, String arg4) {
}


/** Static Methods */
//public static native intrinsic.mx.rpc.soap.LoadEvent createEvent(intrinsic.mx.rpc.wsdl.WSDL arg0);
//public static native intrinsic.mx.rpc.soap.LoadEvent createEvent(intrinsic.mx.rpc.wsdl.WSDL arg0, String arg1);

/** Methods */
public native String toString();
public native Object clone();

}
